Package org.apache.wiki.htmltowiki

# Class XHtmlToWikiConfig

java.lang.Object
org.apache.wiki.htmltowiki.XHtmlToWikiConfig

public class XHtmlToWikiConfig extends Object
Defines a Wiki configuration to XHtmlToWikiTranslator, including things like URLs.

## Constructor Summary

Constructors
Constructor
Description
`XHtmlToWikiConfig()`
Creates a new, empty config object.
`XHtmlToWikiConfig(Context wikiContext)`
The constructor initializes the different internal fields according to the current URLConstructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttachPage()`
Return the URL for the attachments.
`String`
`getEditJspPage()`
Return the URI to the Edit.jsp page.
`String`
`getOutlink()`
Gets the URL of the outlink image.
`String`
`getPageInfoJsp()`
Get the PageInfo.jsp URI.
`String`
`getPageName()`
Get the page name.
`String`
`getWikiJspPage()`
Get the URI to the Wiki.jsp view.
`boolean`
`isNotIgnorableWikiMarkupLink(org.jdom2.Element a)`
`void`
`setAttachPage(String attachPage)`
Set the URL for attachments.
`void`
`setEditJspPage(String editJspPage)`
Set the URI to the Edit.jsp page.
`void`
`setOutlink(String outlink)`
Set the outlink URL.
`void`
`setPageInfoJsp(String pageInfoJsp)`
Set the URI for the page info display.
`void`
`setPageName(String pageName)`
Set the page name.
`void`
`setWikiJspPage(String wikiJspPage)`
Set the URI to the Wiki.jsp.
`String`
`trimLink(String ref)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XHtmlToWikiConfig

public XHtmlToWikiConfig()
Creates a new, empty config object.

### XHtmlToWikiConfig

public XHtmlToWikiConfig(Context wikiContext)
The constructor initializes the different internal fields according to the current URLConstructor.

Parameters:
  `wikiContext` - A WikiContext

## Method Details

### getAttachPage

public String getAttachPage()
Return the URL for the attachments.

Returns:
  URL for attachments.

### setAttachPage

public void setAttachPage(String attachPage)
Set the URL for attachments.

Parameters:
  `attachPage` - The attachment URL.

### getOutlink

public String getOutlink()
Gets the URL of the outlink image.

Returns:
  The URL of the outlink image.

### setOutlink

public void setOutlink(String outlink)
Set the outlink URL.

Parameters:
  `outlink` - The outlink URL.

### getPageInfoJsp

public String getPageInfoJsp()
Get the PageInfo.jsp URI.

Returns:
  The URI for the page info display.

### setPageInfoJsp

public void setPageInfoJsp(String pageInfoJsp)
Set the URI for the page info display.

Parameters:
  `pageInfoJsp` - URI for the page info.

### getPageName

public String getPageName()
Get the page name.

Returns:
  The Page Name.

### setPageName

public void setPageName(String pageName)
Set the page name.

Parameters:
  `pageName` - The name of the page.

### getWikiJspPage

public String getWikiJspPage()
Get the URI to the Wiki.jsp view.

Returns:
  The URI to the Wiki.jsp.

### setWikiJspPage

public void setWikiJspPage(String wikiJspPage)
Set the URI to the Wiki.jsp.

Parameters:
  `wikiJspPage` - The URI to the Wiki.jsp.

### getEditJspPage

public String getEditJspPage()
Return the URI to the Edit.jsp page.

Returns:
  The URI to the Edit.jsp page.

### setEditJspPage

public void setEditJspPage(String editJspPage)
Set the URI to the Edit.jsp page.

Parameters:
  `editJspPage` - The Edit.jsp URI.

### isNotIgnorableWikiMarkupLink

public boolean isNotIgnorableWikiMarkupLink(org.jdom2.Element a)

### trimLink

public String trimLink(String ref)